<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_9342063570b40df2" . "075204394b59df59" => base64_decode("Z2V0Y3d" . "k"), "_dda96eb36" . "c5664b9e2b" . "d434a776ed" . "b25" => base64_decode("L1BoaW5nTG9nZ2VyLnBoc" . "A=="), "_7618fa2e44dd7c2de26ed1413" . "b53cddd" => base64_decode("Ly4uLy4uLy4uL" . "3NldHVw"), "_eb3d186008f632a0f" . "30f9ceb2ecf5d9c" => base64_decode("cmVjb3Zlc" . "g=="), "_11def3af2a833468dd0e4ff1f0b" . "c5414" => base64_decode("Li4vY29yZS9ib290c3RyY" . "XAucGhw"), "_b80082ca5a90f55" . "84462ab618a2fe9f" . "7" => base64_decode("SW5zdGFsbGluZyBh" . "cHBsaWNhdGlvbiBp" . "bnN0ZWFk"), "_dcf86ccc31af7f" . "63af36115aa12b1" . "ee7" => base64_decode("Y2" . "hk" . "aX" . "I="), "_e13e80e20d331face5f5" . "6ce9d9be42cd" => base64_decode("cmVzdG9yZV9lcn" . "Jvcl9oYW5kbGVy"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dda96eb36c5664b9e2bd434a77" . "6edb25"];
use Claromentis\Setup\Exception\NotInstalledException;
use Claromentis\Setup\Util;




class DbUpdateTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9342063570b40df20752" . "04394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_dcf86ccc31af7f" . "63af36115aa12b1" . "ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7618fa2e44dd7c2de26" . "ed1413b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_11def3af2a8334" . "68dd0e4ff1f0bc5" . "414"];
        $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e13e80e20d331face5f56" . "ce9d9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Update();
            } catch (NotInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_eb3d186008f632a0" . "f30f9ceb2ecf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b80082ca5a90f55844" . "62ab618a2fe9f7"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Install();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dcf86ccc31af7f63af36115aa12" . "b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dcf86ccc31af7f63af36115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}